################################
# JSBACH #######################
################################
suf=grb

{ (if_requested $member $srfmod jsbachdecfx input $chunk '???1123124' && {
  # Read input file
  if [[ "${iniyeararr[$y]}" == "$period" ]]
  then
    echo "Reading from parent ${RAW_EXP_ID_PARENT[$y]} jsbach_T31GR30_11tiles_5layers_natural-veg_${inv_chunk_year}k.nc"
    ifile=/work/mh0110/m211003/mpiesm-1.2.00p1/experiments/${RAW_EXP_ID_PARENT[$y]}/restart/topo/jsbach_T31GR30_11tiles_5layers_natural-veg_${inv_chunk_year}k.nc
  else
    echo "Reading from ${RAW_EXP_IDS[$y]} jsbach_T31GR30_11tiles_5layers_natural-veg_${inv_chunk_year}k.nc"
    ifile=/work/mh0110/m211003/mpiesm-1.2.00p1/experiments/${RAW_EXP_IDS[$y]}/restart/topo/jsbach_T31GR30_11tiles_5layers_natural-veg_${inv_chunk_year}k.nc
  fi
  
  # Create decadal "fx"-variables
  #-- slm_nan
  $cdo setctomiss,0 -selname,slm $ifile $sdir/tmp_aggr/tmp_slm_nan_$period || echo ERROR
     
  #-- glac
  $cdo setname,glac -eqc,1 -sellevel,1 -selname,cover_type $ifile $sdir/tmp_aggr/tmp_glac_$period || echo ERROR

  #-- veg_ratio_max
  $cdo -f grb setcode,20 -selname,veg_ratio_max $ifile $sdir/tmp_aggr/tmp_veg_ratio_max_mon_ini_$period || echo ERROR

  for l_yyyy in $(seq $period $(( period + 9 )) ); do
    $cdo settaxis,${l_yyyy}-01-01,12:00:00,1mon -duplicate,12 $sdir/tmp_aggr/tmp_slm_nan_$period $sdir/out_aggr/slm_nan_${l_yyyy} || echo ERROR
    $cdo settaxis,${l_yyyy}-01-01,12:00:00,1mon -duplicate,12 $sdir/tmp_aggr/tmp_glac_$period $sdir/out_aggr/glac_${l_yyyy} || echo ERROR
    $cdo settaxis,${l_yyyy}-01-01,12:00:00,1mon -duplicate,12 $sdir/tmp_aggr/tmp_veg_ratio_max_mon_ini_$period $sdir/tmp_aggr/veg_ratio_max_mon_ini_${l_yyyy}.tmp || echo ERROR
    $cdo settaxis,${l_yyyy}-01-01,12:00:00,1mon -duplicate,12 -selname,slm $ifile $sdir/out_aggr/fx_sftlf_${l_yyyy}.nc || echo ERROR
  done
}; )&; }>$err.jsbachdecfx.input 2>&1

wait

#
#-- cover_fract, veg_ratio_max, and box_cover_fract (monthly mean)
#
{ $cdo selcode,12 $sdir/${RAW_EXP_IDS[$y]}_jsbach_jsbach_mm_$period.$suf $sdir/tmp_aggr/cover_fract_mon_$period.tmp || echo ERROR
if [[ "$(echo ${dynveg:-false} | tr [:upper:] [:lower:])" == "true" ]]; then
  $cdo selcode,20 $sdir/${RAW_EXP_IDS[$y]}_jsbach_jsbach_mm_$period.$suf $sdir/tmp_aggr/veg_ratio_max_mon_$period.tmp || echo ERROR
else
  $cdo settaxis,${period}-01-16,12:00:00,1mon $sdir/tmp_aggr/veg_ratio_max_mon_ini_$period.tmp $sdir/tmp_aggr/veg_ratio_max_mon_$period.tmp || echo ERROR
fi

#  In grib format 3.05e-5 is the minimum value different from 0 for records with values between 0 and 1
# we set all fractions below 5.e-5 to zero, to avoid errors with variables that need to be scaled.
# It is important to use netCDF for these calculations!
$cdo mul              $sdir/tmp_aggr/veg_ratio_max_mon_$period.tmp   $sdir/tmp_aggr/cover_fract_mon_$period.tmp      $sdir/tmp_aggr/box_cover_fract_mon_$period.tmp         || echo ERROR
$cdo mul -gtc,5.e-5   $sdir/tmp_aggr/veg_ratio_max_mon_$period.tmp   $sdir/tmp_aggr/veg_ratio_max_mon_$period.tmp    $sdir/out_aggr/veg_ratio_max_mon_$period   || echo ERROR
$cdo mul -gtc,5.e-5   $sdir/tmp_aggr/cover_fract_mon_$period.tmp     $sdir/tmp_aggr/cover_fract_mon_$period.tmp      $sdir/out_aggr/cover_fract_mon_$period     || echo ERROR
$cdo mul -gtc,5.e-5   $sdir/tmp_aggr/box_cover_fract_mon_$period.tmp $sdir/tmp_aggr/box_cover_fract_mon_$period.tmp  $sdir/out_aggr/box_cover_fract_mon_$period || echo ERROR
#
#-- veg_ratio_max and box_cover_fract (annual mean)
#
$cdo yearmonmean $sdir/out_aggr/veg_ratio_max_mon_$period   $sdir/out_aggr/veg_ratio_max_yr_$period || echo ERROR
$cdo yearmonmean $sdir/out_aggr/box_cover_fract_mon_$period $sdir/out_aggr/box_cover_fract_yr_$period || echo ERROR
rm -f $sdir/tmp_aggr/*$period.tmp; }>$err.veg.type 2>&1
###########################################################################################################

wait

